Skip to content
Start here

Get Google Tag Gateway configuration

google_tag_gateway.config.get(ConfigGetParams**kwargs) -> Config
GET/zones/{zone_id}/settings/google-tag-gateway/config

Gets the Google Tag Gateway configuration for a zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Settings Read
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
ReturnsExpand Collapse
class Config:

Google Tag Gateway configuration for a zone.

enabled: bool

Enables or disables Google Tag Gateway for this zone.

endpoint: str

Specifies the endpoint path for proxying Google Tag Manager requests. Use an absolute path starting with ’/’, with no nested paths and alphanumeric characters only (e.g. /metrics).

hide_original_ip: bool

Hides the original client IP address from Google when enabled.

measurement_id: str

Specify the Google Tag Manager container or measurement ID (e.g. GTM-XXXXXXX or G-XXXXXXXXXX).

set_up_tag: Optional[bool]

Set up the associated Google Tag on the zone automatically when enabled.

Get Google Tag Gateway configuration

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
config = client.google_tag_gateway.config.get(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(config.hide_original_ip)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "enabled": true,
    "endpoint": "/metrics",
    "hideOriginalIp": true,
    "measurementId": "GTM-P2F3N47Q",
    "setUpTag": true
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "enabled": true,
    "endpoint": "/metrics",
    "hideOriginalIp": true,
    "measurementId": "GTM-P2F3N47Q",
    "setUpTag": true
  }
}